Subject: Re: [PATCH net] mwifiex: Increase AES key storage size to 256 bits

From: Kalle Valo <[email-masked]>
Date: Thu, 27 Aug 2020 11:02:28 +0300

Brian Norris <[email-masked]> writes:

> Hi,
>
> On Tue, Aug 25, 2020 at 8:38 AM Maximilian Luz <[email-masked]> wrote:
>>
>> Following commit e18696786548 ("mwifiex: Prevent memory corruption
>> handling keys") the mwifiex driver fails to authenticate with certain
>> networks, specifically networks with 256 bit keys, and repeatedly asks
>> for the password. The kernel log repeats the following lines (id and
>> bssid redacted):
>>
>>     mwifiex_pcie 0000:01:00.0: info: trying to associate to '<id>' bssid <bssid>
>>     mwifiex_pcie 0000:01:00.0: info: associated to bssid <bssid> successfully
>>     mwifiex_pcie 0000:01:00.0: crypto keys added
>>     mwifiex_pcie 0000:01:00.0: info: successfully disconnected from <bssid>: reason code 3
>>
>> Tracking down this problem lead to the overflow check introduced by the
>> aforementioned commit into mwifiex_ret_802_11_key_material_v2(). This
>> check fails on networks with 256 bit keys due to the current storage
>> size for AES keys in struct mwifiex_aes_param being only 128 bit.
>>
>> To fix this issue, increase the storage size for AES keys to 256 bit.
>>
>> Signed-off-by: Maximilian Luz <[email-masked]>
>> Reported-by: Kaloyan Nikolov <[email-masked]>
>> Tested-by: Kaloyan Nikolov <[email-masked]>
>
> Thanks for this! I just happened to notice this breakage here, as we
> just merged the relevant -stable updates. I think it would be wise to
> get the Fixes tag Dan noted, when Kalle lands this.

Ok, I'll queue this for v5.9 and add the Fixes tag.

If anyone is bored it would be great to get patchwork automatically
pickup the Fixes tags :) It already does that Acked-by, Reported-by and
Tested-by tags:

Signed-off-by: Maximilian Luz <[email-masked]>
Reported-by: Kaloyan Nikolov <[email-masked]>
Tested-by: Kaloyan Nikolov <[email-masked]>
Reviewed-by: Dan Carpenter <[email-masked]>
Reviewed-by: Brian Norris <[email-masked]>
Tested-by: Brian Norris <[email-masked]>

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches